// Name of a group of files
[groupname]
/l81000/l

// This section contains extensions of files belonging to the group.
// If one extenstion belongs to more than one group, definitions from all the
// groups are applied
[extensions]
tex, sty, cls, clo

// Access type to the files from the group
[access]
// level    = (0-readonly, 1-ask before edit, 2-fullaccess}
// question = {nicetext shown to ask the file should be edited}
// exec     = {file name to execute when a file is opened}
level=2

// Defines if the group of files is enabled by default
[default]
no

// Hilight commands
// Predefined groups:
// [hilight\keys]     - keywords
// [hilight\symbols]  - special symbols
// [hilight\types]    - types
// [hilight\comments] - comments
[hilight\GraphicsKeys]
\definecolor
\color
\color[
\textcolor
\textcolor[
\pagecolor
\colorbox
\fcolorbox
\rotatebox
\scalebox
\reflectbox
\resizebox
\resizebox*
\includegraphics
\includegraphics*
\graphicspath
\DeclareGraphicsExtensions
\DeclareGraphicsRule
\psfig

// Defines hints for keywords. Each hint is a nicetext.
[hints]
// Graphics
\definecolor=/l81001/l
\color=/l81002/l
\color[=/l81018/l
\textcolor=/l81003/l
\textcolor[=/l81019/l
\pagecolor=/l81004/l
\pagecolor[=/l81020/l
\colorbox=/l81005/l
\colorbox[=/l81021/l
\fcolorbox=/l81006/l
\fcolorbox[=/l81022/l
\rotatebox=/l81007/l
\scalebox=/l81008/l
\reflectbox=/l81009/l
\reflectbox[=/l81023/l
\resizebox=/l81010/l
\resizebox*=/l81011/l
\includegraphics=/l81012/l
\includegraphics*=/l81013/l
\graphicspath=/l81014/l
\DeclareGraphicsExtensions=/l81015/l
\DeclareGraphicsRule=/l81016/l
\psfig=/l81017/l
// last: 81023

// This section defines commands related to the group of files
// Syntaxt of the row:
//     name     - command name (nicetext)
//     bitmap   - bitmap code from resources
//     shortcut - hotkey 
//     label    - (nicetext)
//     hint     - (nicetext)
//     command  - command to execute
//
// Command syntax:
//     exec:nicetext - execute nicetext
//     ins:nicetext' - insert nicetext to the editor window (_ denotes cursor position)
//
// Predefined constants:
//     <PROGRAMDIR>       - LEd directory
//     <PROJECT>          - full path of the project, e.g., C:\Papers\Newest.lpr
//     <PROJECTDIR>       - project directory, e.g., C:\Papers
//     <PROJECTNAME>      - project name, e.g., Newest
//     <PROJECTNAMEEXT>   - project name with extension, e.g., Newest.lpr
//     <MAINFILE>         - full path to the main project file, e.g., C:\Papers\Main.tex
//     <MAINFILEDIR>      - directory name of the main project file, e.g., C:\Papers
//     <MAINFILENAME>     - main file name, e.g., Main
//     <MAINFILENAMEEXT>  - main file name with extension, e.g., Main.tex
//     <FILE>             - full path to the selected file
//     <FILEDIR>          - directory of the selected file
//     <FILENAME>         - selected file name
//     <FILENAMEEXT>      - selected file name with extension
//     <BatchesDir>       - directory with LEd batches
//     <DefinitionsDir>   - directory with LEd definitions
//     <DictionariesDir>  - directory with LEd dictionaries
//     <LanguagesDir>     - directory with LEd language resources
//     <ProjectsDir>      - default LEd directory for projects
//     <TemplatesDir>     - directory with LEd templates
//     <ResourcesDir>     - directory with LEd resources
[commands]

// Example for syntaxt hilighting for the group of files
[syntaxexample\GraphicsKeys]
=\definecolor{greenyellow}{cmyk}{0.15, 0   , 0.69, 0}
